## hugo 0.151.2

=== debian/changelog ===
hugo (0.151.2-1) unstable; urgency=medium

  * New upstream version 0.151.2

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 17 Oct 2025 15:18:35 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_GOLANG_EXCLUDES := \
	internal/warpc/gen \
	livereload/gen \
	scripts/fork_go_templates \
	tpl/tplimpl/embedded/generate

export DH_GOLANG_INSTALL_EXTRA := \
	create/skeletons/site \
	create/skeletons/theme \
	internal/js/esbuild \
	internal/warpc/wasm \
	livereload/gen/livereload-hugo-plugin.js \
	livereload/livereload.js \
	livereload/livereload.min.js \
	testscripts/ \
	tpl/tplimpl/embedded/templates

# Prevent TestImageResize8BitPNG from failing due to pkgbinarymangler
# recompressing our test PNG image on Ubuntu
export NO_PNG_PKG_MANGLE := 1

# Prepare -ldflags arguments for Hugo version information

include /etc/os-release

PACKAGE := $(shell sed -n "s/^XS-Go-Import-Path: \(.*\)/\1/p" debian/control)

DATE_FMT = %Y-%m-%dT%H:%M:%SZ
ifdef SOURCE_DATE_EPOCH
  BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u "+$(DATE_FMT)")
else
  BUILD_DATE ?= $(shell date -u "+$(DATE_FMT)")
endif

VENDOR_INFO := $(ID):$(shell dpkg-parsechangelog --show-field Version)

LDFLAGS := -ldflags \
	'-X "$(PACKAGE)/common/hugo.buildDate=$(BUILD_DATE)" \
	 -X "$(PACKAGE)/common/hugo.vendorInfo=$(VENDOR_INFO)"'

HUGO := _build/bin/hugo

# The "dev" tag tells golibsass and gowebp not to build libsass and libwebp
# from source but to link with pre-installed libraries instead.
# See https://github.com/bep/golibsass/blob/master/README.md
# and https://github.com/bep/gowebp/blob/master/README.md
TAGS := -tags 'dev extended'

ifeq ($(DEB_BUILD_ARCH),ppc64)
  # Use golang-go on ppc64 as gccgo has failed to build hugo since March 2018.
  # Better to exceed Debian's minimum ISA than to have no hugo at all.
  go_ver := $(shell sed -E -n 's/\s+golang-([0-9.]+)-go \[ppc64\].*/\1/p' debian/control)
  export PATH := /usr/lib/go-$(go_ver)/bin:$(PATH)
  # Caveat: external linking not supported for linux/ppc64, removing tags.
  # See https://github.com/golang/go/issues/8912
  undefine TAGS
endif

%:
	dh $@ --builddirectory=_build

# github.com/bep/imagemeta v0.7.5
# Need to find copyright information for testdata images before packaging
EXTRA_NON_GOHUGOIO_GO_MODULES += github.com/bep/imagemeta
# github.com/getkin/kin-openapi v0.123.0
# Upstream has received reports from users of Hugo's `openapi3.Unmarshal`
# about breaking behavior `kin-openapi` v0.124.0, so revert to v0.123.0
# for now, pending further investigation. (see commit 29cc37f)
EXTRA_NON_GOHUGOIO_GO_MODULES += github.com/getkin/kin-openapi
EXTRA_NON_GOHUGOIO_GO_MODULES += github.com/microcosm-cc/bluemonday
EXTRA_NON_GOHUGOIO_GO_MODULES += github.com/tetratelabs/wazero
execute_before_dh_auto_configure:
	for i in $(EXTRA_NON_GOHUGOIO_GO_MODULES); do \
	    mkdir -p _build/src/$$(dirname $$i) ; \
	    ln -s $(CURDIR)/debian/go/src/$$i _build/src/$$(dirname $$i)/ ; \
	done

# github.com/gohugoio/go-i18n/v2 (Fix multiple unknown language codes)
# See https://github.com/gohugoio/hugo/issues/7838
EXTRA_GOHUGOIO_GO_MODULES += gohugoio/go-i18n
# github.com/gohugoio/hugo-goldmark-extensions/{extras,passthrough}
EXTRA_GOHUGOIO_GO_MODULES += gohugoio/hugo-goldmark-extensions
EXTRA_GOHUGOIO_GO_MODULES += gohugoio/localescompressed
EXTRA_GOHUGOIO_GO_MODULES += gohugoio/testmodBuilder
execute_after_dh_auto_configure:
	for i in $(EXTRA_GOHUGOIO_GO_MODULES); do \
	    ln -s $(CURDIR)/debian/go/src/github.com/$$i \
	        _build/src/github.com/gohugoio/ ; \
	done
	# github.com/gohugoio/locales
	cp -a /usr/share/gocode/src/github.com/go-playground/locales \
	    _build/src/github.com/gohugoio/
	cd _build/src/github.com/gohugoio/locales && \
	    sed -i 's/go-playground/gohugoio/' *.go */*.go

override_dh_auto_build:
	@command -V go
	@go version
	dh_auto_build -- $(LDFLAGS) $(TAGS)
	$(HUGO) version
	mkdir -p debian/completion
	cd debian/completion && mkdir -p bash fish zsh
	$(HUGO) completion bash > debian/completion/bash/hugo
	$(HUGO) completion fish > debian/completion/fish/hugo.fish
	$(HUGO) completion zsh > debian/completion/zsh/_hugo
	$(HUGO) gen man --dir=debian/man
	# TODO: Add "hugo-docs" package in the future?
	#$(HUGO) -s docs -d public/html --uglyURLs

# Disable network access during testing by using -short flag
override_dh_auto_test:
	@command -V go
	@go version
	CI=true dh_auto_test -- -short -timeout 120m

override_dh_auto_install:
	dh_auto_install -- --no-source

## hugo 0.152.1

=== debian/changelog ===
hugo (0.152.1-1) unstable; urgency=medium

  * New upstream version 0.152.1
    - Update build dependencies as per go.mod
    - Update go-i18n to commit cfcc22d823c65debe8bab0b73a1057c16e9672b6
    - Update Build-Depends:
      - Remove golang-github-ghodss-yaml-dev
      - Add golang-github-goccy-go-yaml-dev
  * Skip flaky test during autopkgtest on riscv64
  * Use Debian package golang-github-microcosm-cc-bluemonday-dev
    instead of local copy
  * Try enabling more architectures for hugo by using golang-any
    instead of golang-go.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 23 Oct 2025 22:43:14 +0200

=== debian/control ===
Source: hugo
Section: web
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Anthony Fok <foka@debian.org>,
 Dr. Tobias Quathamer <toddy@debian.org>,
Build-Depends:
 debhelper (>= 13.4),
 debhelper-compat (= 13),
 dh-sequence-bash-completion,
 dh-sequence-golang,
 asciidoctor,
 golang-any (>= 2:1.20~),
 golang-github-alecthomas-chroma-v2-dev (>= 2.20.0),
 golang-github-armon-go-radix-dev (>= 1.0.0+git20221118.54df44f),
 golang-github-aws-aws-sdk-go-v2-dev (>= 1.30.3),
 golang-github-aymerick-douceur-dev,
 golang-github-bep-clocks-dev (>= 0.5.0),
 golang-github-bep-debounce-dev (>= 1.2.0+really1.2.0),
 golang-github-bep-gitmap-dev (>= 1.6.0),
 golang-github-bep-goat-dev (>= 0.5.0),
 golang-github-bep-godartsass-dev (>= 1.2.0),
 golang-github-bep-godartsass-v2-dev (>= 2.5.0),
 golang-github-bep-golibsass-dev (>= 1.1.1),
 golang-github-bep-goportabletext-dev,
 golang-github-bep-gowebp-dev (>= 0.3.0),
 golang-github-bep-helpers-dev (>= 0.6.0),
# golang-github-bep-imagemeta-dev (>= 0.7.5),
 golang-github-bep-lazycache-dev (>= 0.8.0),
 golang-github-bep-logg-dev (>= 0.4.0),
 golang-github-bep-mclib-dev (>= 1.20400.20402),
 golang-github-bep-overlayfs-dev (>= 0.9.2),
 golang-github-bep-simplecobra-dev (>= 0.4.0),
 golang-github-bep-tmc-dev (>= 0.5.1),
 golang-github-burntsushi-locker-dev,
 golang-github-cespare-xxhash-dev (>= 2.3.0),
 golang-github-clbanning-mxj-dev (>= 2.7.0),
 golang-github-cli-safeexec-dev (>= 1.0.1),
 golang-github-disintegration-gift-dev (>= 1.2.1),
 golang-github-dustin-go-humanize-dev (>= 1.0.1),
 golang-github-evanw-esbuild-dev (>= 0.23.0),
 golang-github-fatih-color-dev (>= 1.17.0),
 golang-github-fortytw2-leaktest-dev,
 golang-github-frankban-quicktest-dev (>= 1.14.6),
 golang-github-fsnotify-fsnotify-dev (>= 1.7.0),
 golang-github-go-openapi-jsonpointer-dev (>= 1:0.20.2),
 golang-github-go-playground-locales-dev (>= 0.14.0),
 golang-github-gobuffalo-flect-dev (>= 1.0.2),
 golang-github-gobwas-glob-dev,
 golang-github-goccy-go-yaml-dev (>= 1.18.0),
 golang-github-gohugoio-hashstructure-dev (>= 0.6.0),
 golang-github-gohugoio-httpcache-dev (>= 0.8.0),
 golang-github-google-go-cmp-dev (>= 0.6.0),
 golang-github-gorilla-css-dev,
 golang-github-gorilla-mux-dev (>= 1.8.1),
 golang-github-gorilla-websocket-dev (>= 1.5.3),
 golang-github-hairyhenderson-go-codeowners-dev (>= 0.5.0),
# golang-github-getkin-kin-openapi-dev (>= 0.124.0),
 golang-github-invopop-yaml-dev (>= 0.2.0),
 golang-github-jdkato-prose-dev (>= 1.2.1),
 golang-github-johanneskaufmann-html-to-markdown-dev (>= 2.4.0),
 golang-github-kylelemons-godebug-dev (>= 1.1.0),
 golang-github-kyokomi-emoji-dev (>= 2.2.13),
 golang-github-makeworld-the-better-one-dither-dev (>= 2.4.0),
 golang-github-marekm4-color-extractor-dev (>= 1.2.1),
 golang-github-mattn-go-isatty-dev (>= 0.0.20),
 golang-github-microcosm-cc-bluemonday-dev,
 golang-github-mitchellh-mapstructure-dev (>= 1.5.0+git20231216.8508981),
 golang-github-mohae-deepcopy-dev (>= 0.0~git20170929.c48cc78),
 golang-github-muesli-smartcrop-dev (>= 0.3.0),
# golang-github-nicksnyder-go-i18n.v2-dev (>= 2.1.1),
 golang-github-niklasfasching-go-org-dev (>= 1.7.0),
 golang-github-olekukonko-tablewriter-dev (>= 1.0.9),
 golang-github-pbnjay-memory-dev (>= 0.0~git20210728.7b4eea6),
 golang-github-pelletier-go-toml.v2-dev (>= 2.2.1),
 golang-github-perimeterx-marshmallow-dev (>= 1.1.5),
 golang-github-pkg-browser-dev,
 golang-github-rogpeppe-go-internal-dev (>= 1.14.1),
 golang-github-rwcarlsen-goexif-dev (>= 0.0~git20190401.9e8deec),
 golang-github-sanity-io-litter-dev (>= 1.5.5),
 golang-github-spf13-afero-dev (>= 1.11.0),
 golang-github-spf13-cast-dev (>= 1.6.0),
 golang-github-spf13-cobra-dev (>= 1.8.1),
 golang-github-spf13-fsync-dev (>= 0.10.1),
 golang-github-spf13-pflag-dev (>= 1.0.5),
 golang-github-tdewolff-minify-dev (>= 2.24.4),
 golang-github-tdewolff-parse-dev (>= 2.8.4),
 golang-github-yuin-goldmark-dev (>= 1.7.13),
 golang-github-yuin-goldmark-emoji-dev (>= 1.0.3),
 golang-gocloud-dev (>= 0.24.0),
# golang-gocloud-dev (>= 0.38.0),
 golang-golang-x-exp-dev (>= 0.0~git20221028.83b7d23-2~),
 golang-golang-x-image-dev (>= 0.18.0),
 golang-golang-x-mod-dev (>= 0.19.0),
 golang-golang-x-net-dev (>= 1:0.27.0),
 golang-golang-x-sync-dev (>= 0.7.0),
 golang-golang-x-text-dev (>= 0.16.0),
 golang-golang-x-tools-dev (>= 1:0.23.0),
 golang-google-api-dev (>= 0.61.0),
# golang-google-api-dev (>= 0.189.0),
 golang-gopkg-yaml.v2-dev (>= 2.4.0),
 golang-gopkg-yaml.v3-dev (>= 3.0.1),
 golang-rsc-qr-dev,
 golang-uber-automaxprocs-dev (>= 1.5.3),
 libsass-dev (>= 3.6.5),
 libwebp-dev (>= 1.3.2),
 python3-docutils,
 tzdata,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/hugo
Vcs-Git: https://salsa.debian.org/go-team/packages/hugo.git
Homepage: https://gohugo.io/
XS-Go-Import-Path: github.com/gohugoio/hugo

Package: hugo
Architecture: any
Depends:
 libsass1 (>= 3.6.5),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 git,
 golang-any,
Suggests:
 asciidoctor,
 npm,
 pandoc,
 python3-docutils,
Static-Built-Using: ${misc:Static-Built-Using}
Description: Fast and flexible Static Site Generator written in Go
 Hugo is a static site generator written in Go. It is optimized for speed,
 ease of use, and configurability. Hugo takes a directory with content and
 templates, and renders them into a full HTML website.
 .
 Hugo relies on Markdown files with front matter for meta data. And you
 can run Hugo from any directory. This works well for shared hosts and
 other systems where you don’t have a privileged account.
 .
 Hugo renders a typical website of moderate size in a fraction of a
 second. A good rule of thumb is that each piece of content renders in
 around 1 millisecond.
 .
 Hugo is meant to work well for any kind of website including blogs,
 tumblelogs and docs.
 .
 Complete documentation is available at https://gohugo.io/

## hugo 0.152.2

=== debian/changelog ===
hugo (0.152.2-1) unstable; urgency=medium

  * New upstream version 0.152.2
    - Update dependency on golang-github-tdewolff-parse-dev and
      golang-github-tdewolff-minify-dev
  * Increase minimum version of go to 1.23.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 26 Oct 2025 23:50:23 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  dh-sequence-bash-completion,
  dh-sequence-golang,
  asciidoctor,
- golang-any (>= 2:1.20~),
  golang-github-alecthomas-chroma-v2-dev (>= 2.20.0),
  golang-github-armon-go-radix-dev (>= 1.0.0+git20221118.54df44f),
  golang-github-aws-aws-sdk-go-v2-dev (>= 1.30.3),
@@ -84,10 +83,11 @@
  golang-github-spf13-cobra-dev (>= 1.8.1),
  golang-github-spf13-fsync-dev (>= 0.10.1),
  golang-github-spf13-pflag-dev (>= 1.0.5),
- golang-github-tdewolff-minify-dev (>= 2.24.4),
- golang-github-tdewolff-parse-dev (>= 2.8.4),
+ golang-github-tdewolff-minify-dev (>= 2.24.5),
+ golang-github-tdewolff-parse-dev (>= 2.8.4-2),
  golang-github-yuin-goldmark-dev (>= 1.7.13),
  golang-github-yuin-goldmark-emoji-dev (>= 1.0.3),
+ golang-go (>= 2:1.23~),
  golang-gocloud-dev (>= 0.24.0),
 # golang-gocloud-dev (>= 0.38.0),
  golang-golang-x-exp-dev (>= 0.0~git20221028.83b7d23-2~),

=== debian/rules ===
--- 
+++ 
@@ -72,7 +72,6 @@
 # about breaking behavior `kin-openapi` v0.124.0, so revert to v0.123.0
 # for now, pending further investigation. (see commit 29cc37f)
 EXTRA_NON_GOHUGOIO_GO_MODULES += github.com/getkin/kin-openapi
-EXTRA_NON_GOHUGOIO_GO_MODULES += github.com/microcosm-cc/bluemonday
 EXTRA_NON_GOHUGOIO_GO_MODULES += github.com/tetratelabs/wazero
 execute_before_dh_auto_configure:
 	for i in $(EXTRA_NON_GOHUGOIO_GO_MODULES); do \

=== debian/watch ===
Version: 5

Template: Github
Owner: gohugoio
Project: hugo

## hugo 0.153.0

=== debian/changelog ===
hugo (0.153.0-1) unstable; urgency=medium

  * New upstream version 0.153.0
    - Refresh patches
    - Add local copy of github.com/bep/textandbinarywriter
    - Add local copy of github.com/gohugoio/go-radix
    - Remove local copy of github.com/gohugoio/testmodBuilder
    - Update local copy of github.com/tetratelabs/wazero to v1.10.1
    - Update build dependencies according to go.mod
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 20 Dec 2025 00:36:26 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,7 @@
  dh-sequence-bash-completion,
  dh-sequence-golang,
  asciidoctor,
- golang-github-alecthomas-chroma-v2-dev (>= 2.20.0),
- golang-github-armon-go-radix-dev (>= 1.0.0+git20221118.54df44f),
+ golang-github-alecthomas-chroma-v2-dev (>= 2.21.1),
  golang-github-aws-aws-sdk-go-v2-dev (>= 1.30.3),
  golang-github-aymerick-douceur-dev,
  golang-github-bep-clocks-dev (>= 0.5.0),
@@ -32,6 +31,7 @@
  golang-github-bep-overlayfs-dev (>= 0.9.2),
  golang-github-bep-simplecobra-dev (>= 0.4.0),
  golang-github-bep-tmc-dev (>= 0.5.1),
+ golang-github-bits-and-blooms-bitset-dev (>= 1.24.0),
  golang-github-burntsushi-locker-dev,
  golang-github-cespare-xxhash-dev (>= 2.3.0),
  golang-github-clbanning-mxj-dev (>= 2.7.0),
@@ -77,10 +77,9 @@
  golang-github-pkg-browser-dev,
  golang-github-rogpeppe-go-internal-dev (>= 1.14.1),
  golang-github-rwcarlsen-goexif-dev (>= 0.0~git20190401.9e8deec),
- golang-github-sanity-io-litter-dev (>= 1.5.5),
  golang-github-spf13-afero-dev (>= 1.11.0),
  golang-github-spf13-cast-dev (>= 1.6.0),
- golang-github-spf13-cobra-dev (>= 1.8.1),
+ golang-github-spf13-cobra-dev (>= 1.10.0),
  golang-github-spf13-fsync-dev (>= 0.10.1),
  golang-github-spf13-pflag-dev (>= 1.0.5),
  golang-github-tdewolff-minify-dev (>= 2.24.5),

## hugo 0.153.1

=== debian/changelog ===
hugo (0.153.1-3) unstable; urgency=medium

  * Fix patch to skip actual failing test. D'oh!

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 22 Dec 2025 19:19:17 +0100

hugo (0.153.1-2) unstable; urgency=medium

  * Add patch to enable building on i386 and armhf
    The WebP image with an animation cannot be processed on those
    architectures, the test times out. Disable the test for now
    and investigate the problem.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 22 Dec 2025 17:26:57 +0100

hugo (0.153.1-1) unstable; urgency=medium

  * New upstream version 0.153.1

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 21 Dec 2025 22:50:35 +0100

## hugo 0.153.2

=== debian/changelog ===
hugo (0.153.2-1) unstable; urgency=medium

  * New upstream version 0.153.2
  * Remove Priority: optional from d/control
  * Update Standards-Version to 4.7.3
  * Add libwebp7 to Depends of binary package

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 23 Dec 2025 18:15:52 +0100

## hugo 0.154.1

=== debian/changelog ===
hugo (0.154.1-1) unstable; urgency=medium

  * New upstream version 0.154.1
    - Refresh patches
    - Update local copy of github.com/tetratelabs/wazero to v1.11.0

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 02 Jan 2026 23:33:23 +0100

## hugo 0.154.2

=== debian/changelog ===
hugo (0.154.2-2) unstable; urgency=medium

  * Skip tests on failing architectures

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 06 Jan 2026 21:22:33 +0100

hugo (0.154.2-1) unstable; urgency=medium

  * New upstream version 0.154.2
    - Refresh patch

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 04 Jan 2026 22:14:31 +0100

## hugo 0.154.3

=== debian/changelog ===
hugo (0.154.3-1) unstable; urgency=medium

  * New upstream version 0.154.3
    - Refresh and extend patches
  * Add format for upstream-vcs-tag to gbp.conf

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 07 Jan 2026 20:52:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: hugo
 Section: web
-Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Anthony Fok <foka@debian.org>,
@@ -107,7 +106,7 @@
  python3-docutils,
  tzdata,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/hugo
 Vcs-Git: https://salsa.debian.org/go-team/packages/hugo.git
 Homepage: https://gohugo.io/
@@ -117,6 +116,7 @@
 Architecture: any
 Depends:
  libsass1 (>= 3.6.5),
+ libwebp7,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:

## hugo 0.154.5

=== debian/changelog ===
hugo (0.154.5-1) unstable; urgency=medium

  * New upstream version 0.154.5
    - Refresh patches

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 13 Jan 2026 20:59:22 +0100

=== debian/rules ===
--- 
+++ 
@@ -67,6 +67,7 @@
 # github.com/bep/imagemeta v0.7.5
 # Need to find copyright information for testdata images before packaging
 EXTRA_NON_GOHUGOIO_GO_MODULES += github.com/bep/imagemeta
+EXTRA_NON_GOHUGOIO_GO_MODULES += github.com/bep/textandbinarywriter
 # github.com/getkin/kin-openapi v0.123.0
 # Upstream has received reports from users of Hugo's `openapi3.Unmarshal`
 # about breaking behavior `kin-openapi` v0.124.0, so revert to v0.123.0
@@ -82,10 +83,10 @@
 # github.com/gohugoio/go-i18n/v2 (Fix multiple unknown language codes)
 # See https://github.com/gohugoio/hugo/issues/7838
 EXTRA_GOHUGOIO_GO_MODULES += gohugoio/go-i18n
+EXTRA_GOHUGOIO_GO_MODULES += gohugoio/go-radix
 # github.com/gohugoio/hugo-goldmark-extensions/{extras,passthrough}
 EXTRA_GOHUGOIO_GO_MODULES += gohugoio/hugo-goldmark-extensions
 EXTRA_GOHUGOIO_GO_MODULES += gohugoio/localescompressed
-EXTRA_GOHUGOIO_GO_MODULES += gohugoio/testmodBuilder
 execute_after_dh_auto_configure:
 	for i in $(EXTRA_GOHUGOIO_GO_MODULES); do \
 	    ln -s $(CURDIR)/debian/go/src/github.com/$$i \

## hugo 0.155.1

=== debian/changelog ===
hugo (0.155.1-1) unstable; urgency=medium

  * New upstream version 0.155.1
    - Refresh patches
    - Add new upstream files to d/copyright
    - Update build dependencies according to go.mod
    - Update local copy of bep/imagemeta to v0.14.0
  * Remove local copy of github.com/tetratelabs/wazero
  * Add golang-github-tetratelabs-wazero-dev (>= 1.11.0) to Build-Depends
  * Add local copy of github.com/gohugoio/gift v0.2.0
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 30 Jan 2026 16:10:24 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  dh-sequence-bash-completion,
  dh-sequence-golang,
  asciidoctor,
- golang-github-alecthomas-chroma-v2-dev (>= 2.21.1),
+ golang-github-alecthomas-chroma-v2-dev (>= 2.23.1),
  golang-github-aws-aws-sdk-go-v2-dev (>= 1.30.3),
  golang-github-aymerick-douceur-dev,
  golang-github-bep-clocks-dev (>= 0.5.0),
@@ -83,13 +83,14 @@
  golang-github-spf13-pflag-dev (>= 1.0.5),
  golang-github-tdewolff-minify-dev (>= 2.24.5),
  golang-github-tdewolff-parse-dev (>= 2.8.4-2),
+ golang-github-tetratelabs-wazero-dev (>= 1.11.0),
  golang-github-yuin-goldmark-dev (>= 1.7.13),
  golang-github-yuin-goldmark-emoji-dev (>= 1.0.3),
- golang-go (>= 2:1.23~),
+ golang-go (>= 2:1.24~),
  golang-gocloud-dev (>= 0.24.0),
 # golang-gocloud-dev (>= 0.38.0),
  golang-golang-x-exp-dev (>= 0.0~git20221028.83b7d23-2~),
- golang-golang-x-image-dev (>= 0.18.0),
+ golang-golang-x-image-dev (>= 0.35.0),
  golang-golang-x-mod-dev (>= 0.19.0),
  golang-golang-x-net-dev (>= 1:0.27.0),
  golang-golang-x-sync-dev (>= 0.7.0),

=== debian/rules ===
--- 
+++ 
@@ -73,7 +73,6 @@
 # about breaking behavior `kin-openapi` v0.124.0, so revert to v0.123.0
 # for now, pending further investigation. (see commit 29cc37f)
 EXTRA_NON_GOHUGOIO_GO_MODULES += github.com/getkin/kin-openapi
-EXTRA_NON_GOHUGOIO_GO_MODULES += github.com/tetratelabs/wazero
 execute_before_dh_auto_configure:
 	for i in $(EXTRA_NON_GOHUGOIO_GO_MODULES); do \
 	    mkdir -p _build/src/$$(dirname $$i) ; \
@@ -82,6 +81,7 @@
 
 # github.com/gohugoio/go-i18n/v2 (Fix multiple unknown language codes)
 # See https://github.com/gohugoio/hugo/issues/7838
+EXTRA_GOHUGOIO_GO_MODULES += gohugoio/gift
 EXTRA_GOHUGOIO_GO_MODULES += gohugoio/go-i18n
 EXTRA_GOHUGOIO_GO_MODULES += gohugoio/go-radix
 # github.com/gohugoio/hugo-goldmark-extensions/{extras,passthrough}

## hugo 0.155.2

=== debian/changelog ===
hugo (0.155.2-1) unstable; urgency=medium

  * New upstream version 0.155.2
  * Remove local copy of github.com/bep/imagemeta
  * Add golang-github-bep-imagemeta-dev (>= 0.14.0) to Build-Depends

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 07 Feb 2026 18:13:08 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  golang-github-bep-goportabletext-dev,
  golang-github-bep-gowebp-dev (>= 0.3.0),
  golang-github-bep-helpers-dev (>= 0.6.0),
-# golang-github-bep-imagemeta-dev (>= 0.7.5),
+ golang-github-bep-imagemeta-dev (>= 0.14.0),
  golang-github-bep-lazycache-dev (>= 0.8.0),
  golang-github-bep-logg-dev (>= 0.4.0),
  golang-github-bep-mclib-dev (>= 1.20400.20402),

## hugo 0.155.3

=== internal/warpc/genwebp/Makefile ===
# The library version to use.
# Note that when updating this, you may also need to update the badge in README.md.
LIBWEBP_VERSION = v1.6.0

# The path to the WebAssembly SDK. Can be overridden from the command line.
# e.g., make WASI_SDK_PATH=/path/to/wasi-sdk
# Download releases from https://github.com/WebAssembly/wasi-sdk/releases.
# Note that on MacOS, you may need to add some whitelistings in Privacy & Security > Security.
WASI_SDK_PATH ?= /opt/wasi-sdk

BUILD_DIR := build
BUILD_WASM := ${BUILD_DIR}/webp.wasm
TARGET_WASM_DIR := ../wasm
LIBWEBP_SRC := libwebp

# Set the compiler and toolchain for WASI
CC := $(WASI_SDK_PATH)/bin/clang
CMAKE_TOOLCHAIN_FILE := $(WASI_SDK_PATH)/share/cmake/wasi-sdk.cmake

# Source files for the final WASM binary
C_SOURCES := webp.c deps/parson/parson.c

# Include paths
C_INCLUDES := -I$(LIBWEBP_SRC)/src -I$(BUILD_DIR)/src -I.

# Libraries to link against
LD_LIBS := $(BUILD_DIR)/libwebpdemux.a $(BUILD_DIR)/libwebp.a $(BUILD_DIR)/libsharpyuv.a $(BUILD_DIR)/libwebpmux.a

# Compiler flags for the WASM build
WASM_CFLAGS := \
    -O3 \
    -msimd128 \
    -mexec-model=command \
    -mnontrapping-fptoint \
    -Wl,--export=malloc \
    -Wl,--export=free \
    -Wall

.PHONY: all clean

# Default target: build the WebAssembly binary
all: $(LIBWEBP_SRC) $(BUILD_DIR)
	@echo ">>> Configuring and building C libraries in $(BUILD_DIR)"
	cd $(BUILD_DIR) && \
	cmake $(realpath $(LIBWEBP_SRC)) \
		-DCMAKE_TOOLCHAIN_FILE=$(CMAKE_TOOLCHAIN_FILE) \
		-DCMAKE_BUILD_TYPE=Release \
		-DBUILD_SHARED_LIBS=0 \
		-DWEBP_ENABLE_SIMD_DEFAULT=1 \
		-DWEBP_BUILD_EXTRAS=0 \
		-DWEBP_USE_THREAD=0 \
		-DWEBP_BUILD_ANIM_UTILS=0 \
		-DWEBP_BUILD_CWEBP=0 \
		-DWEBP_BUILD_DWEBP=0 \
		-DWEBP_BUILD_IMG2WEBP=0 \
		-DWEBP_BUILD_WEBPINFO=0 \
		-DWEBP_BUILD_WEBPMUX=1 && \
	make VERBOSE=1
	@echo ">>> Building WebAssembly binary: $(BUILD_WASM)"
	$(CC) $(WASM_CFLAGS) --sysroot=$(WASI_SDK_PATH)/share/wasi-sysroot $(C_INCLUDES) -o $(BUILD_WASM) $(C_SOURCES) $(LD_LIBS)
	@echo ">>> Moving the WebAssembly binary: $(TARGET_WASM_DIR)"
	mv $(BUILD_WASM) $(TARGET_WASM_DIR)



# Rule to create the build directory
$(BUILD_DIR):
	@echo ">>> Creating build directory: $(BUILD_DIR)"
	@mkdir -p $@

# Rule to clone the libwebp source code
$(LIBWEBP_SRC):
	@echo ">>> Cloning libwebp source code (version: $(LIBWEBP_VERSION))"
	git clone -b $(LIBWEBP_VERSION) --depth 1 --recursive https://github.com/webmproject/libwebp
	test -d $@

# Rule to clean up build artifacts
clean:
	@echo ">>> Cleaning build artifacts"
	@rm -rf $(BUILD_DIR)
	@rm -rf $(LIBWEBP_SRC)

=== internal/warpc/genwebp/deps/clib/Makefile ===
CC     ?= cc
PREFIX ?= /usr/local

BINS = clib clib-install clib-search clib-init clib-configure clib-build clib-update clib-upgrade clib-uninstall

ifdef EXE
	BINS := $(addsuffix .exe,$(BINS))
endif

CP      = cp -f
RM      = rm -f
MKDIR   = mkdir -p
INSTALL = install

SRC  = $(wildcard src/*.c)
COMMON_SRC = $(wildcard src/common/*.c)
ALL_SRC = $(wildcard src/*.c src/*.h src/common/*.c src/common/*.h test/package/*.c test/cache/*.c)
SDEPS = $(wildcard deps/*/*.c)
ODEPS = $(SDEPS:.c=.o)
DEPS = $(filter-out $(ODEPS), $(SDEPS))
OBJS = $(DEPS:.c=.o)
MAKEFILES = $(wildcard deps/*/Makefile)
HEADERS_BINS = src/common/*.h src/version.h deps/logger/logger.h

export CC

CFLAGS += -std=c99 -Ideps -Wall -Wno-unused-function -U__STRICT_ANSI__

ifdef STATIC
	CFLAGS  += -DCURL_STATICLIB  $(shell deps/curl/bin/curl-config --cflags)
	LDFLAGS += -static $(shell deps/curl/bin/curl-config --static-libs)
else
	CFLAGS  += $(shell curl-config --cflags)
	LDFLAGS += $(shell curl-config --libs)
endif

ifneq (0,$(PTHREADS))
ifndef NO_PTHREADS
	CFLAGS += $(shell ./scripts/feature-test-pthreads && echo "-DHAVE_PTHREADS=1 -pthread")
endif
endif

ifdef DEBUG
	CFLAGS += -g -D CLIB_DEBUG=1 -D DEBUG="$(DEBUG)"
endif

default: all

all: $(BINS)

build: $(BINS)

$(BINS): $(SRC) $(COMMON_SRC) $(MAKEFILES) $(OBJS) $(HEADERS_BINS)
	$(CC) $(CFLAGS) -o $@ $(COMMON_SRC) src/$(@:.exe=).c $(OBJS) $(LDFLAGS)

$(MAKEFILES):
	$(MAKE) -C $@

%.o: %.c
	$(CC) $< -c -o $@ $(CFLAGS) -MMD

clean:
	$(foreach c, $(BINS), $(RM) $(c);)
	$(RM) $(OBJS)
	$(RM) $(AUTODEPS)
	cd test/cache && make clean
	cd test/package && make clean

install: $(BINS)
	$(MKDIR) $(PREFIX)/bin
	$(foreach c, $(BINS), $(INSTALL) $(c) $(PREFIX)/bin/$(c);)

uninstall:
	$(foreach c, $(BINS), $(RM) $(PREFIX)/bin/$(c);)

test: $(BINS)
	@./test.sh

# create a list of auto dependencies
AUTODEPS:= $(patsubst %.c,%.d, $(DEPS)) $(patsubst %.c,%.d, $(SRC))

# include by auto dependencies
-include $(AUTODEPS)

# Format all source files in the repository.
fmt:
	@if ! command -v clang-format &> /dev/null; then \
		echo "clang-format not found"; \
		exit; \
	fi
	clang-format -i -style=LLVM $(ALL_SRC)

# Install the commit hook.
commit-hook: scripts/pre-commit-hook.sh
	cp -f scripts/pre-commit-hook.sh .git/hooks/pre-commit

.PHONY: test all clean install uninstall fmt

=== debian/changelog ===
hugo (0.155.3-1) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * New upstream version 0.155.3

  [ Otto Kekäläinen ]
  * Salsa CI: Even when disabled, the CI file needs to be valid YAML

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 14 Feb 2026 17:53:16 +0100

=== debian/rules ===
--- 
+++ 
@@ -64,9 +64,6 @@
 %:
 	dh $@ --builddirectory=_build
 
-# github.com/bep/imagemeta v0.7.5
-# Need to find copyright information for testdata images before packaging
-EXTRA_NON_GOHUGOIO_GO_MODULES += github.com/bep/imagemeta
 EXTRA_NON_GOHUGOIO_GO_MODULES += github.com/bep/textandbinarywriter
 # github.com/getkin/kin-openapi v0.123.0
 # Upstream has received reports from users of Hugo's `openapi3.Unmarshal`

## hugo 0.157.0

=== debian/changelog ===
hugo (0.157.0-1) unstable; urgency=medium

  * New upstream version 0.157.0
    - Fixes FTBFS with golang 1.26 (Closes: #1129126)
    - Update test with a distant future date, so that the
      build will not fail during the forky support period.
      (Closes: #1127121)
    - Refresh patches
    - New patch to remove more tests which need an
      internet connection
    - Update file path in DH_GOLANG_INSTALL_EXTRA,
      has been renamed upstream
    - Add Build-Depends:
      + golang-github-bep-imagemeta-dev (>= 0.17.0)
      + golang-github-gohugoio-gift-dev
    - Remove local copy of github.com/gohugoio/gift

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 27 Feb 2026 19:58:10 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  golang-github-bep-goportabletext-dev,
  golang-github-bep-gowebp-dev (>= 0.3.0),
  golang-github-bep-helpers-dev (>= 0.6.0),
- golang-github-bep-imagemeta-dev (>= 0.14.0),
+ golang-github-bep-imagemeta-dev (>= 0.17.0),
  golang-github-bep-lazycache-dev (>= 0.8.0),
  golang-github-bep-logg-dev (>= 0.4.0),
  golang-github-bep-mclib-dev (>= 1.20400.20402),
@@ -47,6 +47,7 @@
  golang-github-gobuffalo-flect-dev (>= 1.0.2),
  golang-github-gobwas-glob-dev,
  golang-github-goccy-go-yaml-dev (>= 1.18.0),
+ golang-github-gohugoio-gift-dev,
  golang-github-gohugoio-hashstructure-dev (>= 0.6.0),
  golang-github-gohugoio-httpcache-dev (>= 0.8.0),
  golang-github-google-go-cmp-dev (>= 0.6.0),

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	tpl/tplimpl/embedded/generate
 
 export DH_GOLANG_INSTALL_EXTRA := \
-	create/skeletons/site \
+	create/skeletons/project \
 	create/skeletons/theme \
 	internal/js/esbuild \
 	internal/warpc/wasm \
@@ -78,7 +78,6 @@
 
 # github.com/gohugoio/go-i18n/v2 (Fix multiple unknown language codes)
 # See https://github.com/gohugoio/hugo/issues/7838
-EXTRA_GOHUGOIO_GO_MODULES += gohugoio/gift
 EXTRA_GOHUGOIO_GO_MODULES += gohugoio/go-i18n
 EXTRA_GOHUGOIO_GO_MODULES += gohugoio/go-radix
 # github.com/gohugoio/hugo-goldmark-extensions/{extras,passthrough}
